/** 自定义组件 共同逻辑 */
export default {
	data() {
		return {
			dataValue:null
		}
	},
	watch: {
		value: function(val) {
			this.dataValue = val
		}
	},
	props: {
		value: {
			type: Object,
			default: () => {
				return null
			}
		},
		/** 索引值 用于更新数据 */
		itemIndex: Number,
		groupIndex: Number,
		/** 包含数据源 */
		item: Object,
		disabled: {
			type: Boolean,
			default: false
		}
	},

	mounted() {
		/** 如果有值以传入值为主 如果无值 已默认值为主 */
		this.dataValue = this.value
	},

	methods: {
		// 输入的值
		valueChange(val) {
			const data = {
				groupIndex: this.groupIndex, // 左侧菜单下标
				itemIndex: this.itemIndex, //右侧某一项下标
				value: val
			}
			this.$emit('value-change', data)
		}
	}

}
